CREATE TABLE irc_gv_column_fields (
    COLUMN_FIELD_ID               NUMBER(18, 0) ,
    COLUMN_ID                     NUMBER(18, 0)     NOT NULL,
    FIELD_CODE                    VARCHAR2(400)     NOT NULL,
    FIELD_TYPE_CODE               VARCHAR2(400) ,
    FIELD_SEQUENCE                NUMBER(4, 0)      NOT NULL,
    FLEX_SEGMENT_CODE             VARCHAR2(400) ,
    FLEX_CONTEXT_CODE             VARCHAR2(400) ,
    PROFILE_CONTENT_SECTION_ID    NUMBER(18, 0) ,
    MODULE_ID                     VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    SEED_DATA_SOURCE              VARCHAR2(2048),
    ORA_SEED_SET1                 VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                 VARCHAR2(4)       NOT NULL,
    COLUMN_FIELD_ID               NUMBER(18, 0) ,
    COLUMN_ID                     NUMBER(18, 0)     NOT NULL,
    FIELD_CODE                    VARCHAR2(400)     NOT NULL,
    FIELD_TYPE_CODE               VARCHAR2(400) ,
    FIELD_SEQUENCE                NUMBER(4, 0)      NOT NULL,
    FLEX_SEGMENT_CODE             VARCHAR2(400) ,
    FLEX_CONTEXT_CODE             VARCHAR2(400) ,
    MODULE_ID                     VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    SEED_DATA_SOURCE              VARCHAR2(2048),
    PROFILE_CONTENT_SECTION_ID    NUMBER(18, 0) ,
    ORA_SEED_SET1                 VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                 VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_irc_gv_column_fields PRIMARY KEY (COLUMN_FIELD_ID, COLUMN_FIELD_ID)
);
